Intel CPUs Have Remote Attack Bug And Could Leave You Vulnerable

By   /   Nov 22, 2017
remote attack bug

There seems to be a remote attack bug in the Intel CPUs that could leave you open to an attack from hackers. The affected CPUs include SkyLake, Kaby Lake, Appolo Lake and Coffee Lake to name a few. These are the Core branded CPUs that have launched since 2015, so if you have a fairly modern CPU then this is something that could leave you vulnerable.

Intel Management Engine firmware updates v11.0 through v11.2 had 4 vulnerabilities and 2 more were found in earlier versions of ME while 2 were found in Server Platform Services v4.0 firmware and another 2 in TXE v3.0.

You can check whether or not you can be affected by the remote attack bug by downloading the utility tool. According to Intel’s security team:

“In response to issues identified by external researchers, Intel has performed an in-depth comprehensive security review of its Intel® Management Engine (ME), Intel® Trusted Execution Engine (TXE), and Intel® Server Platform Services (SPS) with the objective of enhancing firmware resilience.”

The CPUs that are affected by the remote attack bug have been mentioned below. If you own a laptop or desktop that houses one of these CPUs then be sure to download the utility tool in order to remain on the safe side.

  • Intel Core processors from the 6th generation (“Skylake”), 7th generation (“Kaby Lake”), & 8th Generation (“Kaby Lake-R” and “Coffee Lake”) families-the processors in most desktop and laptop computers since 2015
  • Multiple Xeon processor lines, including the Xeon Processor E3-1200 v5 & v6 Product Family, Xeon Processor Scalable family, and Xeon Processor W family
  • The Atom C3000 Processor Family and Apollo Lake Atom Processor E3900 series for networked and embedded devices and Internet of Things platforms
  • Apollo Lake Pentium and Celeron™ N and J series Processors for mobile computing

Let us know whether or not you have been affected by this remote attack bug.

Featured Videos